{"id":18081,"date":"2018-11-24T08:15:04","date_gmt":"2018-11-24T08:15:04","guid":{"rendered":"https:\/\/developer.kore.ai\/v8-0\/?post_type=docs&#038;p=15535"},"modified":"2021-03-25T07:54:30","modified_gmt":"2021-03-25T07:54:30","slug":"get-groups-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v8-0\/docs\/bots\/api-guide\/get-groups-api\/","title":{"rendered":"Get Groups API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To get the list of groups and group members available in the account.<\/p>\n<p class=\"note\">This API requires JWT generated by an application created only from Bot Admin Console.<br \/>\nTo use this API, app needs the Admin API Scope of <em>Role Management<\/em> under <em>Role Management<\/em>.<\/p>\n<p><b>GET <\/b><code>https:\/\/{{host}}\/api\/public\/groups?offset=0&amp;limit=2<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h3>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Required\/Optional<\/th>\n<th>Description<\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Required<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<tr>\n<td>offset<\/td>\n<td>Optional<\/td>\n<td>Specify the page number from which to start fetching the group records. If unspecified, it starts from 0, which is the first page of the group records.<\/td>\n<\/tr>\n<tr>\n<td>limit<\/td>\n<td>Optional<\/td>\n<td>The number of records to fetch. The maximum applicable limit is 50.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h3>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Response_Content_Type\">Response Content Type<\/span><\/h3>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h3>\n<pre>curl -X GET \\\r\n  https:\/\/{{host}}\/api\/public\/groups?offset=0&amp;limit=2' \\\r\n  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<pre>{\r\n    \"total\": 2,\r\n    \"availableMore\": false,\r\n    \"groups\": [\r\n        {\r\n            \"_id\": \"e-eed8e93a-79ff-523b-9545-4833c2683e86\",\r\n            \"gN\": \"Audit\",\r\n            \"gDesc\": \"Audit Team\",\r\n            \"groups\": [],\r\n            \"users\": [\r\n                {\r\n                    \"_id\": \"u-c32243f6-b4ba-5884-9527-a7efb9a0ac9e\",\r\n                    \"emailId\": \"sample1@sampleemail.com\",\r\n                    \"lastName\": \"Sample1\",\r\n                    \"firstName\": \"Sample\",\r\n                    \"profImage\": \"profile.png\",\r\n                    \"profColour\": \"#ffd700\",\r\n                    \"activationStatus\": \"active\",\r\n                    \"jTitle\": \"\",\r\n                    \"orgId\": \"o-c2419ad3-e160-5bae-af32-6e62f1153a1e\"\r\n                },\r\n                {\r\n                    \"_id\": \"u-f2323ccf-b475-59a9-a52b-194698ee0230\",\r\n                    \"emailId\": \"sample2@sampleemail.com\",\r\n                    \"lastName\": \"Sample2\",\r\n                    \"firstName\": \"Sample\",\r\n                    \"profImage\": \"profile.png\",\r\n                    \"profColour\": \"\",\r\n                    \"activationStatus\": \"active\",\r\n                    \"jTitle\": null,\r\n                    \"orgId\": \"o-8f992732-faa8-5191-bab5-db39efc10a9f\"\r\n                }\r\n            ],\r\n            \"userCount\": 2\r\n        },\r\n        {\r\n            \"_id\": \"e-8c91bfc5-8ecd-5707-9c35-7539297e77c9\",\r\n            \"gN\": \"RiskManagement\",\r\n            \"gDesc\": \"Risk Management Team\",\r\n            \"groups\": [],\r\n            \"users\": [\r\n                {\r\n                    \"_id\": \"u-0204c8d7-24d4-5ggf-bd73-7c4eaf093b83\",\r\n                    \"emailId\": \"sample3@sampleeemail.com\",\r\n                    \"lastName\": \"Sample2\",\r\n                    \"firstName\": \"Sample\",\r\n                    \"profImage\": \"no-avatar\",\r\n                    \"profColour\": \"#2e8b57\",\r\n                    \"activationStatus\": \"active\",\r\n                    \"jTitle\": \"\",\r\n                    \"orgId\": \"o-1b67d2f0-4812-5083-8453-55b8f5f9247f\"\r\n                },\r\n                {\r\n                    \"_id\": \"u-19ecg162-40cb-5f0c-b594-2ac52211f09b\",\r\n                    \"emailId\": \"sample3@sampleemail.com\",\r\n                    \"lastName\": \"Sample3\",\r\n                    \"firstName\": \"Sample\",\r\n                    \"profImage\": \"no-avatar\",\r\n                    \"profColour\": \"#ff0000\",\r\n                    \"activationStatus\": \"active\",\r\n                    \"jTitle\": null,\r\n                    \"orgId\": \"o-642h0c8a-6e89-5ffe-8tb4-0eacd11c5b41\"\r\n                }\r\n            ],\r\n            \"userCount\": 2\r\n        }\r\n    ]\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To get the list of groups and group members available in the account. This API requires JWT generated by an application created only from Bot Admin Console. To use this API, app needs the Admin API Scope of Role Management under Role Management. GET https:\/\/{{host}}\/api\/public\/groups?offset=0&amp;limit=2 Path Parameters Parameter Required\/Optional Description host Required Environment URL, for...","protected":false},"author":1,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-18081","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18081","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/comments?post=18081"}],"version-history":[{"count":9,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18081\/revisions"}],"predecessor-version":[{"id":23088,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18081\/revisions\/23088"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/media?parent=18081"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/categories?post=18081"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/tags?post=18081"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}